/* ===========================================================================

 VRIBBON.H    Global variables and functions for VRIBBON 

=============================================================================*/

#ifdef VRIBBON_ALLOCATE
#define EXTERN
#else
#define EXTERN extern
#endif

#define SIZE_SMALL       1
#define SIZE_MEDIUM      2
#define SIZE_LARGE       3
#define SIZE_XLARGE      4


//#define DEBUG_PRINTF

class VRibbon
{
 private:
    UINT4 displayNum;
 public:
    void  init(void);
    void  cleanup(void);
    void  updateDisplay(void);
    UINT4 getDisplayNum(void);
    void  setDisplayNum(UINT4 disp_num_a);
    void  setSize(UINT4 isize_a);
};
EXTERN VRibbon vRibbon;
EXTERN RibbonVDisplay vRibbonLib;  // This is a C++ lib

#undef EXTERN
